import typing
import random
from pathlib import Path
import pandas as pd

def load_cities() -> 'pd.DataFrame':
    df = pd.read_csv(Path(__file__).parent / 'uscities.csv')
    return df


CITIES_TO_STATES = {
    'Lancaster': 'Pennsylvania',
    'Omaha': 'Nebraska',
    'Battle Creek': 'Michigan',
    'Memphis': 'Tennessee',
}

CITIES_TO_ZIP_CODES = {
    'Lancaster': ['17573', '17601', '17602', '17605', '17606', '17699'],
    'Omaha': ['68104', '68105', '68106', '68124', '68127', '68134'],
    'Battle Creek': ['49014', '49015', '49016', '49017', '49018', '49037'],
    'Memphis': ['38116', '38118', '38122', '38127', '38134', '38103'],
}

CITIES_TO_URLS = {
    'Lancaster': 'https://jobs.kellogg.com/job/Lancaster-Permanent-Production-Associate-Lancaster-PA-17601/817684800/#',
    'Omaha': 'https://jobs.kellogg.com/job/Omaha-Permanent-Production-Associate-Omaha-NE-68103/817685900/z',
    'Battle Creek': 'https://jobs.kellogg.com/job/Battle-Creek-Permanent-Production-Associate-Battle-Creek-MI-49014/817685300/',
    'Memphis': 'https://jobs.kellogg.com/job/Memphis-Permanent-Production-Associate-Memphis-TN-38114/817685700/'
}

COUNTRY_CODE_US = 'US'
FULL_NAME_US = 'United States'
